PDA

View Full Version : [Help] Install Pyrit with OpenCL



Kraako
03-25-2013, 05:03 AM
Hey everyone,

I've been trying to get pyrit working with GPU cracking, but I can't make it work. I am using a ATI video card.

I don't know if I got the amd app sdk installed properly or if pyrit the way it should.

I used

sudo apt-get -t experimental install fglrx-driver fglrx-control
sudo apt-get -t experimental install amd-opencl-icd

to install drivers and opencl.
Drivers are working correctly, not sure about opencl though.

is there more things I need to install to make it work?

Tranos
03-25-2013, 12:49 PM
After drivers install you may need some tools installed:


apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases
dpkg --add-architecture i386
apt-get install ia32-libs
apt-get install ia32-libs-multiarch i386 lib32gcc1 libc6-i386
apt-get install libcap-dev
apt-get install python-dev
aptitude search libboost

and after follow the instaractions on https://docs.google.com/document/d/1ysDk_qJj07nVxl6HLFHhkeABvilzbb4Gr0lftLhVUpU/edit
without first page

joanfercal
03-26-2013, 10:29 AM
Did the same procedure with mine (HD 7770), drivers working OK, but no opencl devices usable from pyrit or oclhashcat+
Found this:
http://www.backtrack-linux.org/forums/showthread.php?t=50069

Haven't tried it, but it appears this should solve the problem.

Also, did you use the 2.8 SDK or the 2.7?
It seems to be that GPU support was dropped (Or something like that... TLDR) for 2.8 and it only supports CPU you should go for 2.7.

Keep us posted =)

Kraako
03-27-2013, 09:46 PM
oh thanks, I will look into this :) will report back as soon as i tried it :)